<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/shape_back_fragment">
    <com.cr.widget.CrNavigationBarWidget
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:crTitle="@string/nv_title_live"
        app:isGotoBack="false"
        app:isDismiss="true"
        android:id="@+id/nv"
        android:layout_weight="0"/>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/cr_10_dp"
        android:layout_marginTop="@dimen/cr_5_dp"
        android:layout_marginBottom="@dimen/cr_5_dp">
        <Button
            style="@style/btn_default"
            android:text="@string/live_action_start"
            android:layout_weight="1"
            android:id="@+id/btn_start_live"/>
        <Button
            style="@style/btn_default"
            android:text="@string/live_action_stop"
            android:layout_weight="1"
            android:background="@drawable/btn_set_selector"
            android:id="@+id/btn_stop_live"/>
    </LinearLayout>
    <View style="@style/view_split_h1"/>
    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">
            <RelativeLayout
                style="@style/live_head_main">
                <TextView
                    style="@style/live_head_title"
                    android:text="@string/live_title_url"/>
                <LinearLayout
                    style="@style/live_head_button_panel"
                    android:id="@+id/btn_append_url">
                    <com.cr.view.CrICON
                        style="@style/live_head_button_icon"
                        app:cr_font="@string/ico_add"/>
                    <TextView
                        style="@style/live_head_button_label"
                        android:text="@string/live_action_append"/>
                </LinearLayout>
            </RelativeLayout>
            <View style="@style/view_split_h1"/>
            <LinearLayout
                style="@style/live_wheel_panel">
                <com.cr.view.CrViewWheel
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:id="@+id/wheel_live_url"/>
            </LinearLayout>
            <View style="@style/view_split_h1"/>
            <RelativeLayout
                style="@style/live_head_main">
                <TextView
                    style="@style/live_head_title"
                    android:text="@string/live_title_quality"/>
                <LinearLayout
                    style="@style/live_head_button_panel"
                    android:id="@+id/btn_set_quality">
                    <com.cr.view.CrICON
                        style="@style/live_head_button_icon"
                        app:cr_font="@string/ico_set"/>
                    <TextView
                        style="@style/live_head_button_label"
                        android:text="@string/live_action_set"/>
                </LinearLayout>
            </RelativeLayout>
            <View style="@style/view_split_h1"/>
            <LinearLayout
                style="@style/live_wheel_panel">
                <com.cr.view.CrViewWheel
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:id="@+id/wheel_live_quality"/>
            </LinearLayout>
            <View style="@style/view_split_h1"/>
            <RelativeLayout
                style="@style/live_head_main">
                <TextView
                    style="@style/live_head_title"
                    android:text="@string/live_title_channel_type"/>
                <LinearLayout
                    style="@style/live_head_button_panel"
                    android:id="@+id/btn_set_channel_type">
                    <com.cr.view.CrICON
                        style="@style/live_head_button_icon"
                        app:cr_font="@string/ico_set"/>
                    <TextView
                        style="@style/live_head_button_label"
                        android:text="@string/live_action_set"/>
                </LinearLayout>
            </RelativeLayout>
            <View style="@style/view_split_h1"/>
            <LinearLayout
                style="@style/live_wheel_panel">
                <com.cr.view.CrViewWheel
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:id="@+id/wheel_live_channel_type"/>
            </LinearLayout>
            <View style="@style/view_split_h1"/>
            <RelativeLayout
                style="@style/live_head_main">
                <TextView
                    style="@style/live_head_title"
                    android:text="@string/live_title_info"/>
            </RelativeLayout>
            <View style="@style/view_split_h1"/>
            <TextView
                android:layout_width="match_parent"
                android:layout_height="@dimen/cr_100_dp"
                android:layout_marginLeft="@dimen/cr_10_dp"
                android:layout_marginRight="@dimen/cr_10_dp"
                android:layout_marginBottom="@dimen/cr_10_dp"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_10"
                android:id="@+id/live_info"
                android:lineSpacingExtra="@dimen/cr_3_dp"/>
        </LinearLayout>
    </ScrollView>
</LinearLayout>